> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rumorz.io/llms.txt
> Use this file to discover all available pages before exploring further.

# get_metrics

> Get a time series of sentiment, excitement, optimism, pessimism, fear, uncertainty, surprise for an entity in the Rumorz Graph.



## OpenAPI

````yaml api-reference/openapi.yaml post /graph/get_metrics
openapi: 3.0.0
info:
  title: Rumorz API
  version: v0
  description: >-
    This is the Rumorz API for accessing Financial markets AI intelligence
    through the Graph and Agent endpoints.
servers:
  - url: https://rumorz.azurewebsites.net/v0
security:
  - ApiKeyAuth: []
paths:
  /graph/get_metrics:
    post:
      tags:
        - Graph
      summary: get_metrics
      description: >-
        Get a time series of sentiment, excitement, optimism, pessimism, fear,
        uncertainty, surprise for an entity in the Rumorz Graph.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                ids:
                  type: array
                  items:
                    type: integer
                lookback:
                  type: string
                  enum:
                    - 1H
                    - 6H
                    - 12H
                    - 1D
                    - 7D
                    - 30D
                    - 90D
                page:
                  type: integer
                limit:
                  type: integer
            example:
              ids:
                - 115176
              metrics:
                - sentiment
              lookback: 1D
              page: 1
              limit: 100
      responses:
        '200':
          description: Success
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````